Skip to main content
PUT
Update a signal action

Authorizations

Authorization
string
header
required

Path Parameters

campaignId
string
required
version
string
required
Pattern: (/version/.+)?
controllerId
string
required
actionId
string
required

Body

application/json

Body of a PUT /v2/campaigns/{campaignId}{version:(/version/.+)?}/controllers/{controllerId}/actions/signals/{actionId} request.

component_ids
string[]
component_references
object[]
data
object
enabled

Choose between static or dynamic enabled

name

Choose between static or dynamic name

quality
enum<string>
Available options:
ALWAYS,
HIGH,
LOW
signal_polling_id

Choose between static or dynamic signal polling id

Response

Successful response

action_id
string
action_type
enum<string>
Available options:
SIGNAL
component_ids
string[]
component_references
object[]
enabled

The enabled as configured: a literal value, or an expression (type:string) when defined dynamically.

quality
enum<string>
Available options:
ALWAYS,
HIGH,
LOW
data
object
name

The name as configured: a literal value, or an expression (type:string) when defined dynamically.

signal_polling_id

The signal polling id as configured: a literal value, or an expression (type:string) when defined dynamically.